#
# spec file for package perl-Module-Load-Util
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Module-Load-Util
Name:           perl-Module-Load-Util
Version:        0.004
Release:        lp153.1.8
Summary:        Some utility routines related to module loading
License:        Artistic-1.0 OR GPL-1.0-or-later
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PERLANCAR/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Regexp::Pattern::Perl::Module)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More) >= 0.98
Requires:       perl(Regexp::Pattern::Perl::Module)
%{perl_requires}

%description
Some utility routines related to module loading

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Sun Feb  7 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.004
  see /usr/share/doc/packages/perl-Module-Load-Util/Changes
  0.004   2021-02-06  Released-By: PERLANCAR; Urgency: medium
  - Add option: ns_prefixes.
* Thu Oct 29 2020 Dirk Stoecker <opensuse@dstoecker.de>
- initial package 0.003
  * created by cpanspec 1.78.09
